Package: org.gradle.tooling.model

## [Java] Interface TaskSelector

- org.gradle.tooling.model.Launchable

- All Superinterfaces:
    Launchable

  Represents a Launchable that uses task name to select tasks executed from a given project and its sub-projects. This is roughly equivalent to running `gradle <task-name>` from the command-line.

  Since:
    1.12

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getName()` Returns the name that will be used to select tasks.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Launchable` | `getDescription, getDisplayName, isPublic`

- - ### Method Detail

    - #### public String getName()

      Returns the name that will be used to select tasks.

      Returns:
        The name used by this selector.